EC_NODE_UINT_GETVAL(3)

NAME
ec_node_uint_getval - Get the value of a parsed unsigned integer.

SYNOPSIS
#include <ecoli/node_int.h>

int ec_node_uint_getval(
    const struct ec_node   *node,    /* The unsigned integer node. */
    const char             *str,     /* The string to parse. */
    /*
     * Pointer where the result will be stored on success.
     */
    uint64_t               *result
);

RETURN VALUE

0 on success, -1 on error (errno is set).

SEE ALSO

ec_node_int(3), ec_node_uint(3), ec_node_int_getval(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.